### Name: clustermap
### Title: Classification of dataset using kmeans.r or hclust.r and
###   representation of clusters on a map.
### Aliases: clustermap
### Keywords: spatial multivariate

### ** Examples

# donnes oldcol
data(oldcol)
data(oldcol.polys)
contours.OLD<-polylist2list(oldcol.polys)
obs<-clustermap(oldcol$X, oldcol$Y,oldcol[,7:12],3,listvar=oldcol,
listnomvar=names(oldcol),carte=contours.OLD,criteria=(oldcol$CP==1))

# data avifaune 
#library(ade4)
#data(mafragh)
#d<-distchi2(mafragh$flo)

#obs<-clustermap(x<-mafragh$xy[,1],y<-mafragh$xy[,2],d,
#4,method="hclust",type="ward",
#listvar=mafragh$partition,listnomvar="class")

#clas<-obs$vectclass
#e<-by(d,clas,mean)
#g<-rbind(e[1]$'1',e[2]$'2',e[3]$'3',e[4]$'4')

#clustermap(x<-mafragh$xy[,1],y<-mafragh$xy[,2],
#d,4,centers=g,listvar=mafragh$partition,listnomvar="class")



